This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 44984 - Installer creates /etc/hosts without IPv6 addresses
Installer creates /etc/hosts without IPv6 addresses
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-19 09:32 EDT by Arthur van Leeuwen
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 15:12:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur van Leeuwen 2001-06-19 09:32:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
Anaconda, when creating the /etc/hosts file on lines 857-887 does not add
the IPv6 addresses for localhost, the local net, the multicastprefix and
the all nodes, all routers and all hosts multicast addresses. Oh, it also
doesn't seem to close the file...


How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Linux 7.1
2. Look in /etc/hosts
	

Actual Results:  I found a 4 line file with the lines
# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1              localhost.localdomain localhost
212.26.207.40          xos040.xos.nl


Expected Results:  I should've found a file with the lines:
# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1              localhost.localdomain localhost
212.26.207.40          xos040.xos.nl

::1     ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts


Additional info:
Comment 1 Brent Fox 2001-06-26 22:07:09 EDT
We don't currently configure IPv6 in the installer, so setting it up in
/etc/hosts wouldn't make much sense.  I'm deferring this issue for a future
release.
Comment 2 Daniel Roesen 2005-06-16 09:59:13 EDT
IPv6 is enabled nowadays by default.

Note You need to log in before you can comment on or make changes to this bug.